# -*- coding: utf-8 -*-
# Generated by Django 1.9.2 on 2016-02-20 21:14
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('professors', '0001_initial'),
        ('students', '0001_initial'),
        ('courses', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Note',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('note', models.IntegerField()),
                ('course', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to='courses.Course')),
                ('professor', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to='professors.Professor')),
                ('student', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to='students.Student')),
            ],
        ),
    ]
